## univention-management-console 13.0.29

=== debian/changelog ===
univention-management-console (13.0.29) unstable; urgency=medium

  * Bug #57714: Make connection pool settings (`pool_size`,
    `max_overflow`, `pool_timeout`, `pool_recycle`) configurable
    via `univention-management-console-settings` for improved
    resource management.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 30 Oct 2024 14:03:01 +0100

univention-management-console (13.0.28) unstable; urgency=medium

  * Bug #57680: Fix get_session context manager to properly close SQLAlchemy sessions after use
  * Bug #57680: Correct scoped_session usage in DbRegistry for Tornado's event loop model.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 21 Oct 2024 14:33:22 +0200

univention-management-console (13.0.27) unstable; urgency=medium

  * Issue univention/components/keycloak-app#224: OIDC Doesn't work with
    mixed case domainname

 -- Julia Bremer <bremer@univention.de>  Mon, 21 Oct 2024 09:58:09 +0200

univention-management-console (13.0.25) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on expiry

 -- Julia Bremer <bremer@univention.de>  Tue, 01 Oct 2024 15:27:38 +0200

univention-management-console (13.0.24) unstable; urgency=medium

  * Bug #57515: Delete umc session when refresh OIDC token fail with
   invalid_grant

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 30 Sep 2023 11:27:33 +0100

univention-management-console (13.0.23) unstable; urgency=medium

  * Bug #57622: hard dependency to psycopg2

 -- Felix Botner <botner@univention.de>  Fri, 27 Sep 2024 12:41:17 +0200

univention-management-console (13.0.22) unstable; urgency=medium

  * Bug #57482: Add an SQL database for session storage.
  * Bug #57467: Add /logout-sse endpoint which will send a message to the attached
    client indicating that the current session has ended due to logout/expiry.

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 28 Aug 2024 11:51:25 +0200

univention-management-console (13.0.21) unstable; urgency=medium

  * Bug #57483: Simplify UMC OIDC setup

 -- Felix Botner <botner@univention.de>  Mon, 26 Aug 2024 14:19:33 +0200

univention-management-console (13.0.20) unstable; urgency=medium

  * Bug #57506: Do not show the OIDC consent screen when the RP is the UMC

 -- Mika Westphal <westphal@univention.de>  Wed, 21 Aug 2024 14:25:11 +0200

univention-management-console (13.0.19) unstable; urgency=medium

  * Bug 57505: Ensure file mode 600 for oidc.json

 -- Felix Botner <botner@univention.de>  Thu, 08 Aug 2024 20:57:57 +0200

univention-management-console (13.0.18) unstable; urgency=medium

  * Bug #57311: log reason for failed LDAP connection

 -- Felix Botner <botner@univention.de>  Fri, 24 May 2024 12:07:09 +0200

univention-management-console (13.0.17) unstable; urgency=medium

  * Bug #57229: Add missing keycloak/server/sso/fqdn UCRV to univention-management-console-web-server.univention-config-registry

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 13 May 2024 08:46:27 +0200

univention-management-console (13.0.16) unstable; urgency=medium

  * Bug #57163: do not setup simplesamlphp with a 5.2 primary

 -- Felix Botner <botner@univention.de>  Mon, 29 Apr 2024 10:34:18 +0200

univention-management-console (13.0.15) unstable; urgency=medium

  * Bug #56906: copytruncate logfiles during logrotate

 -- Felix Botner <botner@univention.de>  Wed, 17 Apr 2024 15:01:16 +0200

univention-management-console (13.0.13) unstable; urgency=medium

  * Bug #57113: fix umc/http/processes=0 evaluation in UCR template

 -- Florian Best <best@univention.de>  Mon, 18 Mar 2024 12:27:43 +0100

univention-management-console (13.0.12) unstable; urgency=medium

  * Bug #57154:  only change ownership and permission of
    UMC log file if not stdout or stderr

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 18 Mar 2024 11:54:46 +0100

univention-management-console (13.0.11) unstable; urgency=medium

  * Bug #57104: fix memory leak / circular references
  * Bug #57113: fix LDAP connection leak

 -- Florian Best <best@univention.de>  Thu, 14 Mar 2024 20:52:37 +0100

univention-management-console (13.0.10) unstable; urgency=medium

  * Bug #55915: remove `try` from `import typing`

 -- Maximilian Janßen <janssen@univention.de>  Thu, 07 Mar 2024 23:54:25 +0100

univention-management-console (13.0.9) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:10 +0100

univention-management-console (13.0.8) unstable; urgency=medium

  * Bug #56547: replace pam_tally with pam_faillock

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:54 +0100

univention-management-console (13.0.7) unstable; urgency=medium

  * Bug #55994: drop Python 2 binary packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:50 +0100

univention-management-console (13.0.6) unstable; urgency=medium

  * Bug #56538: adjust to Tornado changes

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:49 +0100

univention-management-console (13.0.5) unstable; urgency=medium

  * Bug #56002: replace upstream removed libpam-cracklib with libpam-
    pwquality

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:47 +0100

univention-management-console (13.0.4) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:34 +0100

univention-management-console (13.0.3) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:19 +0100

univention-management-console (13.0.2) unstable; urgency=medium

  * Bug #57001: update UMC SAML metadata in Keycloak on changes

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:18 +0100

univention-management-console (13.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump



=== debian/control ===
Source: univention-management-console
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3,
 python3-all,
 python3-polib,
 python3-sdnotify,
 python3-setuptools,
 python3-univention-lib,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
Standards-Version: 3.7.2

Package: univention-management-console
Architecture: all
Depends:
 python3-univention-management-console (= ${source:Version}),
 univention-management-console-module-appcenter,
 univention-management-console-module-apps,
 univention-management-console-module-diagnostic,
 univention-management-console-module-join,
 univention-management-console-module-lib,
 univention-management-console-module-passwordchange,
 univention-management-console-module-reboot,
 univention-management-console-module-services,
 univention-management-console-module-setup,
 univention-management-console-module-sysinfo,
 univention-management-console-module-top,
 univention-management-console-module-ucr,
 univention-management-console-module-updater,
 univention-management-console-server (= ${source:Version}),
 univention-management-console-web-server (>= 5.0.5),
 ${misc:Depends},
Recommends:
 univention-management-console-module-quota,
Conflicts:
 univention-management-console-module-mrtg,
Description: UCS Management Console - Web based computer administration tool
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the web-frontend, which
 can be installed to provide access to one or several daemons.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-server
Architecture: all
Depends:
 cy2-saml,
 libpam-oauthbearer,
 libsasl2-modules-oauthbearer,
 pam-saml,
 python3-univention-lib,
 python3-univention-management-console (= ${source:Version}),
 shell-univention-lib (>= 9.0.18-2),
 univention-base-files,
 univention-directory-manager-tools (>> 7.0.147),
 ${misc:Depends},
Pre-Depends:
 univention-management-console-web-server-fix,
Description: UCS Management Console - server
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-management-console
Architecture: all
Depends:
 python3-cryptography,
 python3-jwt,
 python3-openssl,
 python3-pam,
 python3-polib,
 python3-psycopg2,
 python3-pycurl,
 python3-pysaml2,
 python3-sdnotify,
 python3-setproctitle,
 python3-sqlalchemy,
 python3-tornado,
 python3-univention,
 python3-univention-config-registry,
 python3-univention-debug (>= 12.0.3-1),
 python3-univention-directory-manager (>= 15.0.25-3),
 python3-univention-lib,
 univention-join,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UCS Management Console - Python 3 Modules
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-dev
Architecture: all
Depends:
 devscripts,
 gettext,
 imagemagick,
 inkscape,
 librsvg2-bin,
 python3-polib,
 python3-univention-config-registry,
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
 ${misc:Depends},
Description: UCS Management Console - development files
 UCS Management Console is a web based program to manage computers. It has
 an extensible architecture, using modules to implement its
 features. This package contains development files helping to implement
 and package own UMC module
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-frontend
Architecture: all
Depends:
 univention-apache,
 univention-management-console-login,
 univention-web-js,
 univention-web-style,
 ${misc:Depends},
Breaks:
 univention-management-console-module-sysinfo (<< 7),
Description: UCS Management Console - Web based computer administration tool
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the AJAX web-frontend
 application. It is written using the Dojo Toolkit and allows to
 access the univention management console web-services through
 the web browser.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-web-server
Architecture: all
Depends:
 curl,
 libapache2-mod-wsgi-py3,
 openssl,
 python3-defusedxml,
 python3-pysaml2,
 python3-univention-management-console (= ${source:Version}),
 shell-univention-lib,
 univention-base-files,
 univention-keycloak-client (>= 1.0.10-4),
 univention-management-console-frontend,
 univention-management-console-server,
 univention-saml-schema,
 ${misc:Depends},
Pre-Depends:
 univention-management-console-web-server-fix,
Breaks:
 univention-saml (<< 7.0.0-4),
Description: UCS Management Console - Web server
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the web server providing
 HTTP access to the UMC server.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-web-server-fix
Architecture: all
Description: UCS Management Console - Web server fix

Package: univention-management-console-login
Architecture: all
Depends:
 univention-apache,
 univention-web-js,
 univention-web-style,
 ${misc:Depends},
Description: UCS Management Console - Login page
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the generic login page.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# Copyright 2002-2024 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

#export DH_VERBOSE=1
export PYBUILD_NAME=univention-management-console
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/sbin/
export PYBUILD_DISABLE_PYTHON2_SCRIPTS=1

override_dh_auto_build:
	./dev/dh-umc-module-build --core
	dh_auto_build

override_dh_auto_install:
	./dev/dh-umc-module-install --core
	dh_auto_install

override_dh_python3:
	dh_python3
	install -m0755 -d debian/univention-management-console-server/usr/sbin/
	$(RM) -r debian/python3-${PYBUILD_NAME}/usr/lib/python3/dist-packages/univention/__init__.py debian/python3-${PYBUILD_NAME}/usr/share/locale/ debian/python3-${PYBUILD_NAME}/usr/share/univention-management-console/
	mv debian/python3-${PYBUILD_NAME}/usr/sbin/ debian/${PYBUILD_NAME}-server/usr/

override_dh_install:
	dh_install -Xde.po

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

%:
	dh $@ --with python3,univention-l10n,ucr --buildsystem=pybuild

## univention-management-console 14.0.45

=== debian/changelog ===
univention-management-console (14.0.45) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: always lower-case the output
    of get-keycloak-base-url when setting umc/oidc/issuer in UMC join script

 -- Marius Meschter <marius.meschter@univention.de>  Tue, 17 Dec 2024 15:16:23 +0100

univention-management-console (14.0.44) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: Change settings from keycloak/server/sso/fqdn to ucs/server/sso/uri

 -- Julia Bremer <bremer@univention.de>  Sun, 08 Dec 2024 17:18:01 +0100

univention-management-console (14.0.43) unstable; urgency=medium

  *  Issue univention/ucs#2528: Fix changelog timestamp

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 05 Dec 2024 15:19:31 +0100

univention-management-console (14.0.42) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on oicd session refresh fail

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 05 Dec 2024 15:13:46 +0200

univention-management-console (14.0.41) unstable; urgency=medium

  * Issue univention/ucs#2519: Remove code for advocating the Univention
    Summit and the ambassador program

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 26 Nov 2024 00:05:23 +0100

univention-management-console (14.0.40) unstable; urgency=medium

  * Bug #57714: Make connection pool settings (`pool_size`,
    `max_overflow`, `pool_timeout`, `pool_recycle`) configurable
    via `univention-management-console-settings` for improved
    resource management.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 30 Oct 2024 14:03:01 +0100

univention-management-console (14.0.39) unstable; urgency=medium

  * Bug #57680: Fix get_session context manager to properly close SQLAlchemy sessions after use
  * Bug #57680: Correct scoped_session usage in DbRegistry for Tornado's event loop model.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 21 Oct 2024 14:33:22 +0200

univention-management-console (14.0.37) unstable; urgency=medium

  * Issue univention/components/keycloak-app#224: OIDC Doesn't work with
    mixed case domainname

 -- Julia Bremer <bremer@univention.de>  Mon, 21 Oct 2024 10:00:07 +0200

univention-management-console (14.0.35) unstable; urgency=medium

  * Bug #57516: Add Content-Security-Policy frame-ancestors for oidc/frontchannel-logout

 -- Christian Castens <castens@univention.de>  Mon, 14 Oct 2024 16:22:46 +0200

univention-management-console (14.0.34) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on expiry

 -- Julia Bremer <bremer@univention.de>  Tue, 01 Oct 2024 15:27:38 +0200

univention-management-console (14.0.33) unstable; urgency=medium

  * Bug #57515: Delete umc session when refresh OIDC token fail with
   invalid_grant

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 30 Sep 2023 11:27:33 +0100

univention-management-console (14.0.32) unstable; urgency=medium

  * Bug #57622: hard dependency to psycopg2

 -- Felix Botner <botner@univention.de>  Fri, 27 Sep 2024 12:45:27 +0200

univention-management-console (14.0.31) unstable; urgency=medium

  * Bug #57482: Add an SQL database for session storage.

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 03 Sep 2024 15:07:32 +0200

univention-management-console (14.0.30) unstable; urgency=medium

  * univention/ucs#2388 close http client after getting access token

 -- Felix Botner <botner@univention.de>  Thu, 29 Aug 2024 20:18:43 +0200

univention-management-console (14.0.29) unstable; urgency=medium

  * Bug #57483: Simplify UMC OIDC setup

 -- Felix Botner <botner@univention.de>  Mon, 26 Aug 2024 14:32:31 +0200

univention-management-console (14.0.27) unstable; urgency=medium

  * Bug #57506: Do not show the OIDC consent screen when the RP is the UMC

 -- Mika Westphal <westphal@univention.de>  Wed, 21 Aug 2024 14:25:11 +0200

univention-management-console (14.0.26) unstable; urgency=medium

  * Bug #57475: add oidc-id-token hint to disable logout confirmation dialog

 -- Christian Castens <castens@univention.de>  Wed, 14 Aug 2024 17:11:08 +0200

univention-management-console (14.0.25) unstable; urgency=medium

  * univention/ucs#2388 don't verify refresh token for getting expiry

 -- Marius Meschter <marius.meschter@univention.de>  Tue, 13 Aug 2024 11:24:43 +0200

univention-management-console (14.0.24) unstable; urgency=medium

  * Bug #57467: Add /logout-sse endpoint which will send a message to the attached
    client indicating that the current session has ended due to logout/expiry.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 12 Aug 2024 15:17:31 +0200

univention-management-console (14.0.22) unstable; urgency=medium

  * Bug 57505: Ensure file mode 600 for oidc.json

 -- Felix Botner <botner@univention.de>  Thu, 08 Aug 2024 21:03:08 +0200

univention-management-console (14.0.21) unstable; urgency=medium

  * Bug #57194: Ensure file descriptors are closed upon module process death

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 14 Jun 2024 17:23:33 +0200

univention-management-console (14.0.20) unstable; urgency=medium

  * Bug #56858: replace transitional packages

 -- Christian Castens <castens@univention.de>  Mon, 03 Jun 2024 16:00:00 +0200

univention-management-console (14.0.19) unstable; urgency=medium

  * Bug #57311: log reason for failed LDAP connection

 -- Felix Botner <botner@univention.de>  Fri, 24 May 2024 12:10:45 +0200

univention-management-console (14.0.16) unstable; urgency=medium

  * Bug #57229: Add missing keycloak/server/sso/fqdn UCRV to univention-management-console-web-server.univention-config-registry

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 13 May 2024 08:48:18 +0200

univention-management-console (14.0.15) unstable; urgency=medium

  * Bug #57163: do not setup simplesamlphp with a 5.2 primary

 -- Felix Botner <botner@univention.de>  Mon, 29 Apr 2024 10:19:14 +0200

univention-management-console (14.0.14) unstable; urgency=medium



## univention-management-console 14.1.1

=== debian/changelog ===
univention-management-console (14.1.1) unstable; urgency=medium

  * Bug #46057: logging of stack traces is now done with ERROR facility and
    the format has been corrected

 -- Florian Best <best@univention.de>  Fri, 28 Mar 2025 08:00:56 +0100

univention-management-console (14.1.0) unstable; urgency=medium

  [ Florian Best ]
  * Bug #58114: enhance log message when retrieving OIDC access token
    failed

  [ Christian Castens ]
  * Bug #58015 UCS 5.2-1 version bump

 -- Florian Best <best@univention.de>  Tue, 25 Mar 2025 08:08:10 +0100

## univention-management-console 14.1.2

=== debian/changelog ===
univention-management-console (14.1.2) unstable; urgency=medium

  * Bug #58210: add 'ldap/server/sasl/oauthbearer/no-tls' configuration option

 -- Florian Best <best@univention.de>  Wed, 16 Apr 2025 23:49:17 +0200

## univention-management-console 14.1.3

=== debian/changelog ===
univention-management-console (14.1.3) unstable; urgency=medium

  * Bug #54257: remove sensible data from meta.json

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 06 May 2025 14:43:51 +0200

univention-management-console (0.4.12-1) unstable; urgency=lo

## univention-management-console 14.1.4

=== debian/changelog ===
univention-management-console (14.1.4) unstable; urgency=medium

  * Bug #58280 make hiding of FQDN and server address in meta.json configurable

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 20 May 2025 11:15:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2024 Univention GmbH
+# Copyright 2002-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-management-console 14.2.0

=== debian/changelog ===
univention-management-console (14.2.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58344 UCS 5.2-2 version bump

  [ Florian Best ]
  * Bug #58404: fix error messages for 502/503 HTTP errors for services
    underneath of /univention/

 -- Florian Best <best@univention.de>  Wed, 18 Jun 2025 10:48:39 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2002-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

#export DH_VERBOSE=1
export PYBUILD_NAME=univention-management-console
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/sbin/
export PYBUILD_DISABLE_PYTHON2_SCRIPTS=1

override_dh_auto_build:
	./dev/dh-umc-module-build --core
	dh_auto_build

override_dh_auto_install:
	./dev/dh-umc-module-install --core
	dh_auto_install

override_dh_python3:
	dh_python3
	install -m0755 -d debian/univention-management-console-server/usr/sbin/
	$(RM) -r debian/python3-${PYBUILD_NAME}/usr/lib/python3/dist-packages/univention/__init__.py debian/python3-${PYBUILD_NAME}/usr/share/locale/ debian/python3-${PYBUILD_NAME}/usr/share/univention-management-console/
	mv debian/python3-${PYBUILD_NAME}/usr/sbin/ debian/${PYBUILD_NAME}-server/usr/

override_dh_install:
	dh_install -Xde.po

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

%:
	dh $@ --with python3,univention-l10n,ucr --buildsystem=pybuild

## univention-management-console 14.2.1

=== debian/changelog ===
univention-management-console (14.2.1) unstable; urgency=medium

  * Bug #57968: Add `auth pam_faillock authfail` to the
    univention-management-console PAM stack

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 28 Jul 2025 16:16:45 +0200

univention-management-console (0.4.16-1) 

## univention-management-console 14.3.1

=== debian/changelog ===
univention-management-console (14.3.1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Dimitri Papoutsis ]
  * Bug #58269: Concurrent logins not working with OIDC

 -- Dimitri Papoutsis <dimitri.papoutsis.extern@univention.de>  Tue, 16 Sep 2025 12:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -175,12 +175,9 @@
  univention-keycloak-client (>= 1.0.10-4),
  univention-management-console-frontend,
  univention-management-console-server,
- univention-saml-schema,
  ${misc:Depends},
 Pre-Depends:
  univention-management-console-web-server-fix,
-Breaks:
- univention-saml (<< 7.0.0-4),
 Description: UCS Management Console - Web server
  UCS Management Console is a web based program to manage computers.
  It has an extensible architecture, using modules to implement

## univention-management-console 14.3.2

=== debian/changelog ===
univention-management-console (14.3.2) unstable; urgency=medium

  * Bug #58644: make logging compatible to structured logging

 -- Florian Best <best@univention.de>  Thu, 18 Sep 2025 13:46:59 +0200

=== debian/control ===
--- 
+++ 
@@ -94,7 +94,7 @@
  python3-tornado,
  python3-univention,
  python3-univention-config-registry,
- python3-univention-debug (>= 12.0.3-1),
+ python3-univention-debug (>= 14.3.0),
  python3-univention-directory-manager (>= 15.0.25-3),
  python3-univention-lib,
  univention-join,

=== umc-module-templates/debian/control ===
Source: PACKAGENAME
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.7.2

Package: PACKAGENAME
Architecture: all
Depends:
 univention-management-console-server (>= 11.0.4-37),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: MODULEDESC
 MODULEDESC
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== umc-module-templates/debian/rules ===
#!/usr/bin/make -f
#
# Univention Management Console Module
#  rules file for the debian package
#
# SPDX-FileCopyrightText: YEAR Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --with python3,umc

## univention-management-console 14.3.3

=== debian/changelog ===
univention-management-console (14.3.3) unstable; urgency=medium

  * Bug #58652: federated account for OIDC auth

 -- Felix Botner <botner@univention.de>  Mon, 29 Sep 2025 12:13:42 +0200

## univention-management-console 14.3.4

=== doc/Makefile ===
# SPDX-FileCopyrightText: 2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -t Internal
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  coverage   to make coverage statistics"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo
	@echo "Build finished. The coverage files are in $(BUILDDIR)/coverage."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UniventionManagementConsole.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UniventionManagementConsole.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/UniventionManagementConsole"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/UniventionManagementConsole"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
univention-management-console (14.3.4) unstable; urgency=medium

  * Bug #58743: return DN of user in session-info endpoint

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Wed, 22 Oct 2025 14:56:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #
 # Univention Common Python and Shell Library
 #  rules file for the debian package
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2002-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only

## univention-management-console 14.3.5

=== debian/changelog ===
univention-management-console (14.3.5) unstable; urgency=medium

  * Bug #58817: Show notification for Summit 2026

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 18 Nov 2025 12:43:54 +0100

## univention-management-console 14.4.1

=== debian/changelog ===
univention-management-console (14.4.1) unstable; urgency=medium

  * Bug #58653: set .*/debug/structured-logging=true by default

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 18:03:19 +0100

univention-management-console (14.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:00 +0100

## univention-management-console 14.4.4

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2025 Univention GmbH
+# SPDX-FileCopyrightText: 2025-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 # Makefile for Sphinx documentation

=== debian/changelog ===
univention-management-console (14.4.4) unstable; urgency=medium

  * Bug #59033: Allow configuration for root path

 -- Felix Botner <botner@univention.de>  Tue, 10 Feb 2026 15:36:47 +0100

univention-management-console (14.4.3) unstable; urgency=medium

  * Bug #59033: Allow configuration for root path

 -- Rehema Owino <rehema.owino.extern@univention.de>  Thu, 05 Feb 2026 12:00:22 +0300

univention-management-console (14.4.2) unstable; urgency=medium

  * Bug #59033: Allow configuration for root path

 -- Rehema Owino <rehema.owino.extern@univention.de>  Thu, 05 Feb 2026 11:26:02 +0300

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# SPDX-FileCopyrightText: 2002-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2002-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 #export DH_VERBOSE=1
